Bug 1519226 - Add librabbitmq to comps file for release
Summary: Add librabbitmq to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1363736
TreeView+ depends on / blocked
 
Reported: 2017-11-30 12:44 UTC by Eng Ops Maitai User
Modified: 2018-04-10 10:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:20:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:21:18 UTC

Comment 2 Lubos Kocman 2017-11-30 18:19:55 UTC
No change needed moving based on description to MODIFIED.

Comment 3 Lubos Kocman 2017-12-05 15:25:24 UTC
I really don't see the dependency here

lkocman@rcm-dev:rcm-metadata> repoquery --repofrompath myrepo,/mnt/redhat/nightly/latest-RHEL-7/compose/Server/x86_64/os --repoid myrepo --requires openhpi
/bin/sh
libc.so.6(GLIBC_2.15)
libcrypto.so.10
libcrypto.so.10(libcrypto.so.10)
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GLIBC_2.0)
libglib-2.0.so.0
libgmodule-2.0.so.0
libgthread-2.0.so.0
libm.so.6
libm.so.6(GLIBC_2.0)
libm.so.6(GLIBC_2.1)
libnetsnmp.so.31
libopenhpi.so.3
libopenhpi_snmp.so.3
libopenhpi_ssl.so.3
libopenhpimarshal.so.3
libopenhpitransport.so.3
libopenhpiutils.so.3
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.1)
libpthread.so.0(GLIBC_2.3.2)
libssl.so.10
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.15)
libsysfs.so.2
libuuid.so.1
libuuid.so.1(UUID_1.0)
libxml2.so.2
libxml2.so.2(LIBXML2_2.4.30)
openhpi-libs(x86-32) = 3.7.0-1.el7
rtld(GNU_HASH)
systemd
/bin/sh
libc.so.6(GLIBC_2.15)(64bit)
libcrypto.so.10()(64bit)
libcrypto.so.10(libcrypto.so.10)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgthread-2.0.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libnetsnmp.so.31()(64bit)
libopenhpi.so.3()(64bit)
libopenhpi_snmp.so.3()(64bit)
libopenhpi_ssl.so.3()(64bit)
libopenhpimarshal.so.3()(64bit)
libopenhpitransport.so.3()(64bit)
libopenhpiutils.so.3()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libssl.so.10()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
libsysfs.so.2()(64bit)
libuuid.so.1()(64bit)
libuuid.so.1(UUID_1.0)(64bit)
libxml2.so.2()(64bit)
libxml2.so.2(LIBXML2_2.4.30)(64bit)
openhpi-libs(x86-64) = 3.7.0-1.el7
rtld(GNU_HASH)
systemd
lkocman@rcm-dev:rcm-metadata> repoquery --repofrompath myrepo,/mnt/redhat/nightly/latest-RHEL-7/compose/Server/x86_64/os --repoid myrepo --requires openhpi | grep reabbit
lkocman@rcm-dev:rcm-metadata> repoquery --repofrompath myrepo,/mnt/redhat/nightly/latest-RHEL-7/compose/Server/x86_64/os --repoid myrepo --requires openhpi | grep rabbit
lkocman@rcm-dev:rcm-metadata> repoquery --repofrompath myrepo,/mnt/redhat/nightly/latest-RHEL-7/compose/Server/x86_64/os --repoid myrepo --requires openhpi-libs | grep rabbit
lkocman@rcm-dev:rcm-metadata> repoquery --repofrompath myrepo,/mnt/redhat/nightly/latest-RHEL-7/compose/Server/x86_64/os --repoid myrepo --requires openhpi-devel | grep rabbit
lkocman@rcm-dev:rcm-metadata>

Comment 4 Ngo Than 2017-12-06 09:41:27 UTC
this issue is now fixed in latest compose. It includes the new openhpi-3.7.0-2.el7 which depends on librabbitmq

Comment 7 Lubos Kocman 2018-02-20 18:20:22 UTC
If it's expected to be dependency you don't really enforce availability where it's not necessary. Even when approval was for everything (otherwise it would be a core package).

Lubos

Comment 11 errata-xmlrpc 2018-04-10 10:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.